### Constructor

# Vips Image webpload

#### Declaration [src]

    int
    vips_webpload (
      const char* filename,
      VipsImage** out,
      ...
    )

#### Description [src]

Read a WebP file into a VIPS image.

Use `page` to select a page to render, numbering from zero.

Use `n` to select the number of pages to render. The default is 1. Pages are rendered in a vertical column, with each individual page aligned to the left. Set to -1 to mean “until the end of the document”. Use `vips_grid()` to change page layout.

Use `scale` to specify a scale-on-load factor. For example, 2.0 to double the size on load. Animated webp images don’t support shrink-on-load, so a further resize may be necessary.

The loader supports ICC, EXIF and XMP metadata.

Optional arguments

- `page`: `gint`, page (frame) to read
- `n`: `gint`, load this many pages
- `scale`: `gdouble`, scale by this much on load

See also

`vips_image_new_from_file()`.

This constructor is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const char*`

  File to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `VipsImage`

  Decompressed image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.